import 'package:flutter/material.dart';
import 'package:snowm_scanner_example/screens/scanner.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: SplashScreen(),
      routes: {
        "/scanner": (_) => ScannerScreen(),
      },
    );
  }
}

class SplashScreen extends StatefulWidget {
  const SplashScreen({Key key}) : super(key: key);

  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Stratosy Scanner"),
      ),
      body: Column(
        children: [
          ListTile(
            title: Text("Scanner"),
            onTap: () {
              Navigator.pushNamed(context, "/scanner");
            },
          )
        ],
      ),
    );
  }
}
